require "vcr"
require 'webmock/rspec'

VCR.configure do |c|
  c.cassette_library_dir     = 'spec/cassettes'
  c.hook_into                :webmock
  c.default_cassette_options = { :match_requests_on => [:method, :uri, :query, :body, :headers] }
  c.configure_rspec_metadata!
end

RSpec.configure do |c|
  # so we can use :vcr rather than :vcr => true;
  # in RSpec 3 this will no longer be necessary.
  c.treat_symbols_as_metadata_keys_with_true_values = true
end

RSpec::Expectations.configuration.on_potential_false_positives = :nothing
